Bug 1460168 - Failed to restart network service after converting rhel6 guest from disk by virt-v2v
Failed to restart network service after converting rhel6 guest from disk by v...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.4
x86_64 Unspecified
low Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
V2V
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 06:13 EDT by mxie@redhat.com
Modified: 2018-06-20 22:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel6-convert-from-disk.log (1.34 MB, text/plain)
2017-06-09 06:13 EDT, mxie@redhat.com
no flags Details
virt-v2v-ova.log (1.38 MB, text/plain)
2017-06-15 04:49 EDT, mxie@redhat.com
no flags Details

  None (edit)
Description mxie@redhat.com 2017-06-09 06:13:48 EDT
Created attachment 1286368 [details]
rhel6-convert-from-disk.log

Description of problem:
Failed to restart network service after converting rhel6 guest from disk by virt-v2v 

Version-Release number of selected component (if applicable):
libguestfs-1.36.3-4.el7.x86_64
virt-v2v-1.36.3-4.el7.x86_64
qemu-kvm-rhev-2.9.0-8.el7.x86_64
libvirt-3.2.0-7.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Prepare a rhel6 guest whose network name is eth0 and network serivce could be restarted successfully

2.Using virt-v2v to convert this guest from disk to rhv
# virt-v2v -i disk xen-pv-rhel6.9-x86_64-sda -o rhv -os 10.73.131.93:/home/nfs_export -if qcow2
[   0.0] Opening the source -i disk -if qcow2 xen-pv-rhel6.9-x86_64-sda
[   0.0] Creating an overlay to protect the source from being modified
[   0.1] Initializing the target -o rhv -os 10.73.131.93:/home/nfs_export
[   0.4] Opening the overlay
[   1.5] Inspecting the overlay
[  11.3] Checking for sufficient free disk space in the guest
[  11.3] Estimating space required on target for each disk
[  11.3] Converting Red Hat Enterprise Linux Server release 6.9 (Santiago) to run on KVM
virt-v2v: warning: /files/boot/grub/device.map/hd0 references unknown 
device "vda".  You may have to fix this entry manually after conversion.
virt-v2v: warning: /files/etc/sysconfig/grub/boot references unknown device 
"vda".  You may have to fix this entry manually after conversion.
virt-v2v: This guest has virtio drivers installed.
[  85.7] Mapping filesystem data to avoid copying unused and blank areas
[  85.8] Closing the overlay
[  86.0] Checking if the guest needs BIOS or UEFI to boot
[  86.0] Assigning disks to buses
[  86.0] Copying disk 1/1 to /tmp/v2v.kMgJ6I/4f699f1d-7f77-4e73-a0d2-a3b73c1a0c29/images/af8b2af7-57a4-43ee-9a2f-f6e63525a785/325b50b7-6db3-43d3-9a52-d69649cf0110 (qcow2)
    (100.00/100%)
[ 147.4] Creating output metadata
[ 147.5] Finishing off

3.After finishing conversion, import the guest from data domain to export domain
4.Power on the guest, but find the network name is changed to eth1 and failed to restart network service, pls refer to screenshot "rhel6-convert-from-disk" and log "rhel6-convert-from-disk"


Actual results:
As above description

Expected results:
Restart network service successfully after converting rhel6 guest from disk by virt-v2v 

Additional info:
Comment 2 mxie@redhat.com 2017-06-15 04:47:59 EDT
Also failed to restart network service after converting rhel6 guest from ova by virt-v2v , details pls refer to log
#virt-v2v -i ova esx5.5-rhel6.8-x86_64.ova -of qcow2 -v -x |& tee > virt-v2v-ova.log
Comment 3 mxie@redhat.com 2017-06-15 04:49 EDT
Created attachment 1287959 [details]
virt-v2v-ova.log

Note You need to log in before you can comment on or make changes to this bug.